Austin Group Defect Tracker

Aardvark Mark IV


Viewing Issue Simple Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Type Date Submitted Last Update
0000723 [1003.1(2013)/Issue7+TC1] Shell and Utilities Objection Error 2013-07-16 15:19 2019-06-10 08:55
Reporter geoffclare View Status public  
Assigned To
Priority normal Resolution Accepted As Marked  
Status Closed  
Name Geoff Clare
Organization The Open Group
User Reference
Section time
Page Number 3260
Line Number 109371
Interp Status Approved
Final Accepted Text see Note: 0001686
Summary 0000723: time is not allowed to write error messages to stderr
Description The STDERR section on the time page says it is used to write the
timing statistics. It says nothing about diagnostic messages.
Strictly speaking, this means time is only allowed to write the
statistics to standard error and is not allowed to write diagnostic
messages there, but that is obviously not what was intended.

The change in the desired action should be made in TC2.
For Issue 8, 0000267 contains a complete replacement for
the STDERR section, which will undo this change. Either a new
bug should be created containing a change to be made in Issue 8
after bug 267, or bug 267 should be updated to include the
equivalent change.
Desired Action Change:

    The standard error shall be used to write the timing statistics.
    If -p is specified, the following format shall be used in the
    POSIX locale:

to:

    If the utility utility is invoked, the standard error
    shall be used to write the timing statistics; otherwise the
    standard error shall be used to write diagnostic messages and
    may also be used to write the timing statistics.

    If -p is specified, the following format shall be used for the
    timing statistics in the POSIX locale:
Tags tc2-2008
Attached Files

- Relationships
related to 0000267Under Reviewajosey 1003.1(2004)/Issue 6 time (keyword) 

-  Notes
(0001685)
geoffclare (manager)
2013-07-18 16:22
edited on: 2013-07-18 16:24

Change:

    The standard error shall be used to write the timing statistics.
    If -p is specified, the following format shall be used in the
    POSIX locale:

to:

    If the utility utility is invoked, the standard error
    shall be used to write the timing statistics and may be used
    to write a diagnostic message if the utility terminates
    abnormally; otherwise the standard error shall be used to write
    diagnostic messages and may also be used to write the timing
    statistics.

    If -p is specified, the following format shall be used for the
    timing statistics in the POSIX locale:

(0001686)
eblake (manager)
2013-07-18 16:27

Interpretation response
------------------------
The standard states that time may only output timing statistics, not diagnostics, and conforming implementations must conform to this. However, concerns have been raised about this which are being referred to the sponsor.

Rationale:
-------------
Existing practice includes the possibility of diagnostics, and also the possibility of no timing when only diagnostics appear.

Notes to the Editor (not part of this interpretation):
-------------------------------------------------------
Make the changes in Note: 0001685
(0001802)
ajosey (manager)
2013-09-06 04:52

Interpretation Proposed 6 Sep 2013
(0001898)
ajosey (manager)
2013-10-14 13:08

Interpretation approved 14 October 2013

- Issue History
Date Modified Username Field Change
2013-07-16 15:19 geoffclare New Issue
2013-07-16 15:19 geoffclare Name => Geoff Clare
2013-07-16 15:19 geoffclare Organization => The Open Group
2013-07-16 15:19 geoffclare Section => time
2013-07-16 15:19 geoffclare Page Number => 3260
2013-07-16 15:19 geoffclare Line Number => 109371
2013-07-16 15:19 geoffclare Interp Status => ---
2013-07-16 15:20 geoffclare Relationship added related to 0000267
2013-07-18 16:22 geoffclare Note Added: 0001685
2013-07-18 16:24 geoffclare Note Edited: 0001685
2013-07-18 16:27 eblake Note Added: 0001686
2013-07-18 16:28 eblake Interp Status --- => Pending
2013-07-18 16:28 eblake Final Accepted Text => see Note: 0001686
2013-07-18 16:28 eblake Status New => Interpretation Required
2013-07-18 16:28 eblake Resolution Open => Accepted As Marked
2013-07-18 16:32 geoffclare Tag Attached: tc2-2008
2013-09-06 04:52 ajosey Interp Status Pending => Proposed
2013-09-06 04:52 ajosey Note Added: 0001802
2013-10-14 13:08 ajosey Interp Status Proposed => Approved
2013-10-14 13:08 ajosey Note Added: 0001898
2019-06-10 08:55 agadmin Status Interpretation Required => Closed


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker